/// <reference path="../../includes.d.ts" />
/// <reference path="developerPlugin.d.ts" />
declare module Developer {
    class OptionsParams {
        pagerSizeOption: number[];
        dataType: any;
        currentTableSize: number;
        dataBatch: any;
        labels: {};
        currentPageNum: number;
        totalSize: any;
        priorTableSize: number;
        createParamData(): {
            currentPageNum: number;
            dataType: any;
            submittedBatch: any;
            limit: number;
            priorTableSize: number;
        };
        getPageSizeNum(): number;
    }
    class DataModelService {
        data: any[];
        paramOptions: any;
        constructor();
        protected getDataModel(paramOptions: any): any;
        initParamOptions(): void;
        updateModel(): void;
        maybeFormat(): void;
        updateParamOption(option: string, value: any): void;
        getParamOption(key: string): any;
    }
}
